 function stereo2mono(Filename)
%----------------------------------------------
% STEREO WAV FILE INTO MONO FILE CONVERSION
% Usage: 
% stereo2mono('urfilename.wav');
% Supports only for two channel wav files
%----------------------------------------------
    if(nargin == 0)
        error('No input');
    end
    try
      [AudioData,Fs,nBits] = wavread(Filename);
    catch
        error(['Cant read input wav file']);
    end
    index_AudioData = size(AudioData);
    index = index_AudioData;
    if(index ~= 2)
        %error('WARNING: This is not a stereo file');
        disp('WARNING: This is not a stereo file, exiting');
        return
    end
    Audio_data_mono = AudioData(:,1); %side1
    % Audio_data_stereo = AudioData;
%side2(you can use this code also)(if u want to use this side,
% comment the above line)
    wavwrite(Audio_data_mono,Fs,nBits,[Filename,'_mono']);
    disp(['WAV file ',Filename,'_mono.wav ',...
           'generated in current working directory']);
end

